Page MenuHomePhabricator

Vector Skin does not show CategoryTree portlet in sidebar
Open, Needs TriagePublic

Description

The Vector Skin for MediaWiki 1.35 does not show the CategoryTree portlet in the MediaWiki:Sidebar

Problem was initially reported as a collapse and expand icon missing issue in the Support Desk
https://www.mediawiki.org/wiki/Topic:Vylqwkx9geua4l7v

which I had resolved by installing the Vector Skin from MW 1.34 The icons now show when I upgraded to MW 1.35.1 however the CategoryTree do not show in the MediaWiki sidebar which is coded as

* Navigation
** mainpage|mainpage-description 
** Special:RequestAccount|RequestAccount
** recentchanges-url|recentchanges
** helppage|help
** TNG_Wiki map|TNG Wiki Sitemap

* languageselector

* SEARCH
*TNG Guides
** Category:Getting Started|Getting Started
** Category:Visitors|Visitors
** Category:Registered_Users|Registered Users
** Category:Administrator|Administrator
** Category:Programmer|Programmer
** Category:Mod Manager|Mod Manager
** TNG_Glossary|TNG Glossary

*categorytree-portlet

...

So I had to revert back to using the Vector Skin from MW 1.34

We use the CollapsibleVector extension to allow the CategoryTree and other sections of the sidebar to be collapsed

Event Timeline

We are not using the UniversalLanguageSelector but the LanguageSelector extension that provides a Language portlet for users and anonymous visitors to select a language as provided for our wiki. We have been using that extension for over 10 years and it is a very nice extension for a small wiki.

The MediaWiki 1.35 actually makes it even nicer by automatically switching to use the json files for that language and displays subpages automatically in the selected language if they have been create

Jdlrobson renamed this task from Vector Skin does not show CategoryTree and LanguageSelector portlets in sidebar to Vector Skin does not show CategoryTree portlet in sidebar.Jan 22 2021, 5:50 PM
Jdlrobson updated the task description. (Show Details)

Change 657884 had a related patch set uploaded (by Jdlrobson; owner: L10n-bot):
[mediawiki/extensions/CategoryTree@master] Restore category link to sidebar

https://gerrit.wikimedia.org/r/657884

There are 2 issues here. Please track T256511 for the LanguageSelector issue.

LanguageSelector issue

The extension is currently marked as in beta, and I haven't seen any maintenance here in a while. The issue here is T256511 - for which the extension has not taken any action. I have provided a patch but I don't know if it will ever get merged.

$wgLanguageSelectorLocation = LANGUAGE_SELECTOR_IN_TOOLBOX;

will not work in Vector until that's fixed. The following can be used in the mean time:

$wgLanguageSelectorLocation = LANGUAGE_SELECTOR_INTO_TITLE

Category issue

I've repurposed this task to be about this issue. Previously menu items could be injected using raw HTML, but this is no longer supported in 1.35 for Vector. I am not sure if the extension is maintained and how this extension behaves but the above patch should either fix this or make it clearer how to fix this.

We are using
$wgLanguageSelectorLocation = LANGUAGE_SELECTOR_AS_PORTLET;

and not putting the Language Selection in the Toolbox

We have been usng the LanguageSelector extension for 10 years or so. With MediaWiki 1.35 it is even nicer than before since it automatically switches all the language json files to the selected language.

We are using
$wgLanguageSelectorLocation = LANGUAGE_SELECTOR_AS_PORTLET;

and not putting the Language Selection in the Toolbox

Right, that's also not going to work as it's using the deprecated SkinTemplateOutputPageBeforeExec hook. https://gerrit.wikimedia.org/r/657884 will fix that, but as I've mentioned it doesn't look like this extension is being actively maintained.

I tried the recommended work-around of putting the Language Selector in the Title and it is ugly!

Since the UniversalSelectorExtension was removed from MediaWiki in the past
https://www.mediawiki.org/wiki/Universal_Language_Selector/Announcement_Feb2014

due to performance problems has anyone look at updating Daniel Kinzler's LanguageSelector extension since it appears he no longer works for MediaWiki or Wikipedia

The Language selection in the left sidebar is a very nice option provided by the LanguageSelector extension in MW 1.35 since the language json files are used automatically. It makes it very nice to allow visitors to select a language and create their Account Request in their native language. We have it working for French and German on our English wiki.

I fully understand why you want additional web fonts provided by the UniversalLangaugeSelector extension to support translation in other languages, but it would seem that Daniel's LanguageSelector extension might meet the requirements in other cases.

Thanks for considering fixing / updating the extension.

Miller.c.mary set the point value for this task to 9999999999.Mar 16 2021, 6:56 PM

How was Ken Roy lucky enough to find a downloadable Vector skin from MW 1.34? I can only see choices for 1.35 and 1.31. The Vector sidebar is still broken in 1.35!!!
Mary

I put in the CollapsibleVector extension from MW 1.33 because I happen to have it, given we are upgrading from 1.33 to 1.35. It doesn’t work. :(

@Miller.c.mary: Please ask support questions how to do something in support places, such as https://www.mediawiki.org/wiki/Project:Support_desk . Thanks.

Aklapper removed the point value for this task.Mar 17 2021, 6:52 AM

I don’t need to ask the support desk about the point value. It was deliberately a high number to get attention. Sadly, the large issue of the non-collapsing left menu has been eclipsed by the smaller language issue and the tiny point value issue.

It was deliberately a high number to get attention

Please refrain from such non-constructive behavior - thanks.

How was Ken Roy lucky enough to find a downloadable Vector skin from MW 1.34? I can only see choices for 1.35 and 1.31.

https://www.mediawiki.org/wiki/Download_from_Git#Download_a_stable_branch

“ Convincing reasons for raising the priority of a bug include evidence that it affects normal, everyday work significantly.”

Just add the 1.34 version to the drop down list and remove 1.35 from the drop down list. The entire 1,35 release should be withdrawn. I am spending my days and nights fixing so many problems in 1.35 that are too much trouble to report, given that you refuse to even fix the most blatant problems.

I’ve been building Mediawiki releases since 2009 for about six active internal wikis. I started with a version in the low teens, maybe 1.15? This upgrade from 1.33 to 1.35 sucks swamp water, to be polite. The entire version 1.35 should be withdrawn.

Just add the 1.34 version to the drop down list and remove 1.35 from the drop down list.

I assume that's about https://www.mediawiki.org/wiki/Special:ExtensionDistributor . MediaWiki 1.34 is an outdated, insecure version so it makes sense not to 'advertise' it in that list. More tech-savvy folks are welcome to download outdated, insecure versions via Git.

If you run into specific 1.35 issues, please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and report specific dedicated issues. Thanks a lot.

see also here: https://phabricator.wikimedia.org/T278306 , tl;dr: sidebar integration is broken w/ vector shipping in 1.35.1

FYI, manually patching CategoryTree's extension.json and includes/Hooks.php with the code changes listed in 657884 did indeed restore CategoryTree to the sidebar of my MediaWiki 1.35 install with Vector.